Bug 831757 - [as7] Memory pools names for garbage-collector not marked as read-only
[as7] Memory pools names for garbage-collector not marked as read-only
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
medium Severity medium (vote)
: ---
: RHQ 4.5.0
Assigned To: Stefan Negrea
Mike Foley
:
Depends On:
Blocks: as7-plugin 835700
  Show dependency treegraph
 
Reported: 2012-06-13 13:36 EDT by Stefan Negrea
Modified: 2013-09-01 05:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 835700 (view as bug list)
Environment:
Last Closed: 2013-09-01 05:59:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stefan Negrea 2012-06-13 13:36:25 EDT
Description of problem:
The memory pools names property for garbage-collector is read-only in AS7 but not marked as read only on the plugin descriptor. The following error is returned when the users attempt to update the resource:

{JBAS014653: Composite operation failed and was rolled back. Steps that failed:={Operation step-1=JBAS014639: Attribute memory-pool-names is not writable}}, rolled-back=true

How reproducible:
Every time

Steps to Reproduce:
1. Discovery and import an AS7 standalone
2. Browse to core-service=platform-mbean,type=garbage-collector,name=PS_Scavenge subresource
3. Attempt to update the memory-pool-names 
  
Actual results:
Error shown above.

Expected results:
Not allowed to update the configuration.

Additional info:
The garbage collector has only one property (memory-pools-names). So there are no other side-effects of this property not being marked as read-only since there is no other configuration to be updated for the garbage-collector.
Comment 1 Stefan Negrea 2012-06-26 17:04:41 EDT
The list property was marked as read-only.

master branch commit:
http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=f2ad6f8e10a004d3eae44fd762e118a65bd3ea47
Comment 2 Heiko W. Rupp 2013-09-01 05:59:09 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.